## ros-humble-nerian-stereo 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.6)
project(NerianVisionSoftware)

add_subdirectory(libvisiontransfer)
add_subdirectory(nvcom)
add_subdirectory(gentl-producer)

=== debian/changelog ===
ros-humble-nerian-stereo (1.2.0-1jammy) jammy; urgency=high

  * Fixed parameter issue. Enabled NERIAN_ROS_DEBUG="params" for extra logging.
  * Added log messages about actively served topics (based on run-time conf)
  * Support for third camera (Ruby), selected for point cloud if active
  * Contributors: Dr. Konstantin Schauwecker, Ramin Yaghoubzadeh Torky

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Tue, 10 Jan 2023 23:00:00 -0000

ros-humble-nerian-stereo (1.1.0-1jammy) jammy; urgency=high

  * Updated vision software relase to 10.0.0
  * Fixed potential problem with time sources in logging code
  * Support for Humble
  * Initiate image transfer despite any failure to connect to parameter service.
    (Device-related parameters are unavailable then - a verbose error is logged.)
  * Contributors: Konstantin Schauwecker, Ramin Yaghoubzadeh Torky

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Wed, 29 Jun 2022 22:00:00 -0000

ros-humble-nerian-stereo (1.0.3-1jammy) jammy; urgency=high

  * Updated vision software release
  * fixed point cloud color channel issue with large RGB images
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-nerian-stereo (1.0.0-1jammy) jammy; urgency=high

  * Initial release for ROS2

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Tue, 13 Apr 2021 22:00:00 -0000

=== debian/control ===
Source: ros-humble-nerian-stereo
Section: misc
Priority: optional
Maintainer: Konstantin Schauwecker <konstantin.schauwecker@nerian.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto, ros-humble-ament-lint-common, ros-humble-cv-bridge, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-stereo-msgs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/nerian_stereo
Standards-Version: 3.9.2

Package: ros-humble-nerian-stereo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake, ros-humble-cv-bridge, ros-humble-rosidl-default-generators, ros-humble-rosidl-default-runtime, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-stereo-msgs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: Driver node for ROS 2 for Scarlet, SceneScan and SP1 stereo vision sensors by Nerian Vision GmbH

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-nerian-stereo//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-nerian-stereo 1.2.1

=== debian/changelog ===
ros-humble-nerian-stereo (1.2.1-3bookworm) bookworm; urgency=high

  * Updated vision transfer to version 10.6.0
  * Migration to git submodule in lieu of src release archive
  * Support for setting ROS-overridden device parameters after connection
  * Contributors: Konstantin Schauwecker, Ramin Yaghoubzadeh Torky

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 22 Jan 2024 16:00:00 -0000

ros-humble-nerian-stereo (1.2.0-3bookworm) bookworm; urgency=high

  * Fixed parameter issue. Enabled NERIAN_ROS_DEBUG="params" for extra logging.
  * Added log messages about actively served topics (based on run-time conf)
  * Support for third camera (Ruby), selected for point cloud if active
  * Contributors: Dr. Konstantin Schauwecker, Ramin Yaghoubzadeh Torky

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Tue, 10 Jan 2023 16:00:00 -0000

ros-humble-nerian-stereo (1.1.0-3bookworm) bookworm; urgency=high

  * Updated vision software relase to 10.0.0
  * Fixed potential problem with time sources in logging code
  * Support for Humble
  * Initiate image transfer despite any failure to connect to parameter service.
    (Device-related parameters are unavailable then - a verbose error is logged.)
  * Contributors: Konstantin Schauwecker, Ramin Yaghoubzadeh Torky

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Wed, 29 Jun 2022 16:00:00 -0000

ros-humble-nerian-stereo (1.0.3-3bookworm) bookworm; urgency=high

  * Updated vision software release
  * fixed point cloud color channel issue with large RGB images
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-nerian-stereo (1.0.0-3bookworm) bookworm; urgency=high

  * Initial release for ROS2

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Tue, 13 Apr 2021 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Konstantin Schauwecker <konstantin.schauwecker@nerian.com>
-Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto, ros-humble-ament-lint-common, ros-humble-cv-bridge, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-stereo-msgs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
+Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-cv-bridge, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-stereo-msgs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
 Homepage: http://wiki.ros.org/nerian_stereo
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
 		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/humble"
+		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -51,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-nerian-stereo//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-nerian-stereo//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-nerian-stereo//opt/ros/humble/opt/nerian_stereo/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
